Bug 36377 - Some of the default bindings do not work
Some of the default bindings do not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-17 18:36 EDT by adam.huffman
Modified: 2013-04-02 00:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-26 10:47:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adam.huffman 2001-04-17 18:36:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; 0.7) Gecko/20010316


On a freshly-installed 7.1 system, the bindings installed for Sawfish do
not all work e.g. TAB doesn't work, so I can't switch to different windows
or workspaces with the keyboard.  The bindings to switch to specific
workspaces do not work.

Reproducible: Always
Steps to Reproduce:
1.Press shift-control-tab to move a window to the next workspace
2.Press Alt-F2 to move to the second workspace
3.Press Alt-tab to cycle between windows
	

Actual Results:  Either nothing happens or there is a beep

Expected Results:  Window should have moved, etc

This may well be a problem with the XFree86 keymap but I'm assigning it to
Sawfish at first.

The relevant part of XF86Config-4:

        Option  "XkbRules"      "xfree86"
        Option  "XkbModel"      "pc105"
        Option  "XkbLayout"     "gb"

$LANG is set to en_GB and I am in runlevel 5
Comment 1 Need Real Name 2001-07-26 10:47:41 EDT
I have the same issue on two freshly installed RH7.1 systems.  The config seems
to be identical:
The relevant part of XF86Config-4:

         Option  "XkbRules"      "xfree86"
         Option  "XkbModel"      "pc105"
         Option  "XkbLayout"     "gb"

 $LANG is set to en_GB and I am in runlevel 5

Sawfish configuration tool indicates it has a "Meta key" (M) and an "Alt key"
(A).  The default bindings all set to use M, the meta key, but this is not the
alt key on the gb keyboard layout.  I modifed the bindings to use the A, alt
key, in the .sawfish/custom file in my home directory and all the default key
combinations now work as expected.
Comment 2 Havoc Pennington 2002-03-04 14:44:03 EST
This is either fixed or a dup of #51172, AFAICT.

Note You need to log in before you can comment on or make changes to this bug.